<?PHP
/* $Id: revers_suite.php,v 1.1 2002/11/15 14:37:43 bzizou Exp $

HTTP Reverse validate

This script is part of the SLIS Project initiated by the CARMI-Internet
(Acadmie de Grenoble - France 38).
Ce script fait partie du projet SLIS dmarr par le CARMI-Internet
(Acadmie de Grenoble - France 38).

This script have been writen by Bruno Bzeznik - copyright (C) 2002
Ce script  t crit par Bruno Bzeznik - copyright (C) - 2002

SLIS : Serveur de communications Linux pour l'Internet Scolaire.
Copyright (C) 1998-2001 Bruno Bzeznik

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free
Software Foundation; either version 2 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details. You should have received a copy of the GNU General Public License
along with this program (For example ./COPYING);
if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA.

Please send all comments and bug reports by electronic mail
to: <slis@ac-grenoble.fr>
Envoyez vos suggestions et reports de bugs par e-mail  <slis@ac-grenoble.fr>
*/

// loading libs and init
require("../inc/html.inc.php");
require("../inc/lib.inc.php");
require("../inc/pgsql.inc.php");
require("../../slis.conf.php");

$dbh=dbconnect(); 
$suite = 1;

if ($webserv != "0") { //test ip address except if webserv = 0
	
	$ip = validip($webserv);
	$ipint = ipintranet($webserv);

	if (($ip == 0) || ($ipint == 0) || ($IPADDR == $webserv)) {
		print errormsg("$lang_Revers_Ip_False");
		$suite = 0;
	}
	if (($webport < 1 ) || ($webport > 65535)) { //test is port is ok
		print errormsg("$lang_Revers_Port_False");
		$suite = 0;
	}
}

if ($suite == "1"){ //if adress ip is ok

	if ($action=="change") {
		if ($webserv =="0") {
			$value ="0";
		}
		else
		{		
		  	$value ="$webserv:$webport";
		}	
	set_option($dbh,$option,$value);
	}



  print startHTML("HTTP Reverse");
  $text = "<FONT FACE=Helvetica,Arial>\n";
  $text .= "<TABLE BORDER=1>\n";
  
  $text .= "<TR><TD><BR>$lang_Revers_valid";
  if ($webserv =="0") {
  	$text .= "<BR><CENTER><B>$lang_Revers_Back3</B></CENTER><BR>";
  } 
  else
  {

  	$text .= "<BR><CENTER><B>$webserv:$webport</B></CENTER><BR>";
  }

  $text .= "</TD></TR>\n";


  $text .= "</TABLE>\n";
  $text .= "</FONT><P>";

  $query = "select tovalid from options where tovalid='1'";
  $result = pg_exec($dbh,$query);
  if (pg_numrows($result)>0) {
    print "<CENTER><I>*$lang_Options_warning</I></CENTER><P>";
  }
// print the infos
$val = newsdbtbl("0",$first_tcolor,$sec_tcolor,$text,$border,$lang_adv_Revers,$titre_color);
$val = center($val);
$val = saut(2)."$val";
print "$val\n";        

// The end
print endHTML();
}

?>
